package com.heyu.api.data.service.impl.vv;
/**
* <p>
* sku 与属性的对应关系 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-22
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvProductPropertyDao;
import com.heyu.api.data.entity.vv.VvProductPropertyEntity;
import com.heyu.api.data.service.vv.VvProductPropertyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvProductPropertyServiceImpl extends ServiceImpl<VvProductPropertyDao, VvProductPropertyEntity> implements VvProductPropertyService {


    @Autowired
	private VvProductPropertyDao vvProductPropertyDao;



	@Override
	public VvProductPropertyEntity selectVvProductPropertyById(Long id){
		return vvProductPropertyDao.selectVvProductPropertyById(id);
	}



	@Override
	public Long insertVvProductProperty(VvProductPropertyEntity vvProductProperty){
		return vvProductPropertyDao.insertVvProductProperty(vvProductProperty);
	}



	@Override
	public Long insertOrUpdateVvProductProperty(VvProductPropertyEntity vvProductProperty){
		return vvProductPropertyDao.insertOrUpdateVvProductProperty(vvProductProperty);
	}



	@Override
	public int updateVvProductPropertyById(VvProductPropertyEntity vvProductProperty){
		return vvProductPropertyDao.updateVvProductPropertyById(vvProductProperty);
	}



	@Override
	public int updateCoverVvProductPropertyById(VvProductPropertyEntity vvProductProperty){
		return vvProductPropertyDao.updateCoverVvProductPropertyById(vvProductProperty);
	}



	@Override
	public int deleteVvProductPropertyById(Long id){
		return vvProductPropertyDao.deleteVvProductPropertyById(id);
	}



}
